Bug 987699 - action_mail_account doesn't work for any remote email address (is it deprecated?)
action_mail_account doesn't work for any remote email address (is it deprecat...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 18:42 EDT by Jamie Nguyen
Modified: 2015-02-18 09:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:01:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-07-23 18:42:09 EDT
email_alert_recipients works fine:
==================================

With default auditd.conf, auditd starts at boot and setroubleshootd sends the appropriate AVC alert emails (if I've listed my email address in "email_alert_recipients" file). The setroubleshootd emails get to my email account fine, so I know postfix is configured correctly.


action_email_account doesn't work:
==================================

Trying to configure auditd to send an email to a remote email address causes auditd to fail to start.

This line is the only line I've changed in /etc/audit/auditd.conf:
  action_mail_account = j@jamielinux.com

This is the output from journalctl -u auditd:
  auditd.service: main process exited, code=exited, status=6/NOTCONFIGURED
  Failed to start Security Auditing Service.


Deprecated option?:
===================

I'm guessing "email_alert_recipients" is the recommended way of sending emails to a remote address?

Judging by a previous email of mine to fedora-selinux, specifying a remote email address for action_mail_account did previously work:

  https://lists.fedoraproject.org/pipermail/selinux/2013-February/015212.html

Does action_mail_account no longer support remote email addresses? (Or perhaps this is a configuration error on my part.)


Other information:
==================

audit-2.3.1-2.fc19.x86_64

Steps to Reproduce:
1. Minimal install of Fedora 19
2. Change action_mail_account in /etc/audit/auditd.conf to remote email
3. Enable sendmail or postfix with completely-untouched-default configuration
4. Reboot
5. auditd.service fails to start
Comment 1 Steve Grubb 2013-07-24 10:12:47 EDT
Its not deprecated. I changed admin_space_left_action to EMAIL and set the action_mail_account to my redhat email. Starts fine for me. You might check syslog to see if any errors were reported. There are very few cases where auditd exits without saying why in syslog.
Comment 2 Jamie Nguyen 2013-07-24 12:36:42 EDT
After some private discussion with Steve, here's a summary of the situation:

I wrongly assumed that action_mail_account would send an email for AVC alerts, but that isn't the case. That's what setroubleshoot is for.

Nonetheless, setting any remote email address still appears to prevent auditd.service from starting at boot without any error messages.

Strangely /sbin/auditd runs fine from the command-line without any error messages. auditd.service still fails at boot if selinux is set to permissive. This is tested on a fresh minimal install F19 VM, with postfix and sending email known to be working.
Comment 3 Fedora End Of Life 2015-01-09 17:13:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 09:01:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.